#include<bits/stdc++.h>
using namespace std;
int Dem_UocSo(int n)
{
    unsigned long long dem=0;
    for (unsigned long long i=1;i<=n;i++)
    {
        if (n%i==0)
            dem++;
    }
    return dem;
}
int main()
{
	ifstream f1("slu.inp");
	ofstream f2("slu.out");
    unsigned long long n;
    f1>>n;
    unsigned long long dem=Dem_UocSo(n);
    f2<<dem<<endl;
    f1.close();
    f2.close();
}
